/* 1. The Overlay (Background) */
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000cc; /* Dark semi-transparent bg */
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

/* Class to make it visible via JS */
.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

/* 2. The Card Container */
.modal-card {
  width: 100%;
  max-width: 800px;
  background-color: #ffffff;
  border-radius: 8px;
  overflow: visible; /* Important: Allows icon to stick out if needed */
  display: flex;
  flex-direction: column;
  gap: 50px;
  align-items: center;
  position: relative;
  padding: 35px;
}

.icon-circle img {
  aspect-ratio: 208/208;
}

/* 5. Content Body */
.modal-body {
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 690px;
  text-align: center;
  gap: 24px;
}

.modal-body h2 {
  font-size: 64px;
  font-weight: 700;
  color: #fb204d;
  margin: 0;
}

.modal-body p {
  color: #000;
}

.body-text {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

/* 6. Button */
.modal-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: #fb204d; /* Orange */
  color: #ffffff;
  font-weight: 500;
  padding: 14px 22px;
  border-radius: 8px;
  border: 1px solid #fb204d;
  text-decoration: none;
  font-size: 18px;
  transition: background-color 0.3s;
  width: 100%;
  max-width: 240px;
  height: 52px;
}

.modal-btn:hover {
  background: white;
  color: var(--primary-500);
  border: 1px solid rgba(250, 18, 57);
  box-shadow: 0 0 12px 0 rgba(250, 18, 57, 0.58);
}

@media (max-width: 1024px) {
  .modal-card {
    width: 100%;
    max-width: 550px;
    border-radius: 6px;
    gap: 24px;
  }

  .modal-body h2 {
    font-size: 38px;
  }

  .icon-circle img {
    max-width: 118px;
  }

  .modal-body {
    max-width: 573px;
  }

  .body-text {
    gap: 12px;
  }

  .modal-btn {
    max-width: 180px;
    height: 40px;
  }
}
/* ==================================================
   RESPONSIVE QUERIES
   ================================================== */

/* Mobile (≤ 767px) */
@media (max-width: 767px) {
  p {
    font-size: 18px;
  }
  .modal-card {
    width: 100%;
    border-radius: 4px;
    margin: 0 20px;
  }

  .icon-circle img {
    max-width: 130px;
  }

  .modal-body h2 {
    font-size: 34px;
  }
  .modal-btn {
    max-width: 230px;
    height: 46px;
    font-size: 18px;
  }
}
